
Redmine - Defect #5775

ldap authentication in admin menu should have an icon

2010-06-29 12:08 - Bernhard Furtmueller

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Eric Davis % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed Affected version:  

Description

In app/views/admin/_menu.rhtml the entry label_ldap_authentication doesn't contain a class and therefore no icon is displayed.

The link in Administration menu was introduced in r3744.

Associated revisions

Revision 3859 - 2010-07-21 01:50 - Eric Davis

Added icon for the LDAP authentication menu item. #5775

History

#1 - 2010-07-03 13:20 - Holger Just

- File key_go.png added

- File group_key.png added

I would propose the key_go icon of famfamfam for now.

Once we are able to define complete authentication modules in redmine and be able to configure those in a combined GUI, I would propose the

group_key icon.

#2 - 2010-07-19 19:20 - Jan from Planio www.plan.io

- Assignee set to Eric Davis

fwiw, these two from famfamfam would work as well imho. but we should definitely get one of them into the final (non RC) 1.0 release.

#3 - 2010-07-19 19:23 - Jan from Planio www.plan.io

- File database_connect.png added

- File server_key.png added

missed the attachments...

#4 - 2010-07-21 01:50 - Eric Davis

- Status changed from New to Resolved

- Target version set to 1.0.1

- Resolution set to Fixed

Thanks everyone, I was going to add one but forgot about it while doing the release.  I ended up using the server key and giving it a css class so

other server authentication types can reuse it.

r3859

#5 - 2010-07-24 02:23 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable in r3862.
https://www.redmine.org/projects/redmine/repository/svn/revisions/3744
https://www.redmine.org/projects/redmine/repository/svn/revisions/3859
https://www.redmine.org/projects/redmine/repository/svn/revisions/3862
group_key.png 813 Bytes 2010-07-03 Holger Just
